<div *ngIf="commits">
  <canvas class="has-text-primary"
    baseChart
    [chartType]="'line'"
    [datasets]="contributorChartData"
    [labels]="contributorChartLabel"
    [options]="contributorChartOptions"
    [legend]="true"
    (chartClick)="chartClick($event)">
  </canvas>

  <app-commits-modal
    *ngIf="isCommitsModalActive()"
    [contributorName]="contributorName"
    [startDate]="contributorPeriodStartDate"
    [endDate]="contributorPeriodEndDate"
    [commits]="contributorPeriodCommits"
    (hideCommitsModal)="hideCommitsModal()">
  </app-commits-modal>
</div>
